# List attributes

> Retrieve a paginated list of category attributes.

`GET /rest/api/categories/attributes`

Retrieves the collection of Attribute resources.

Returns a paginated collection of category attributes - the read-only union of [attribute strings](/api/product-management/attribute-strings/) and [attribute lists](/api/product-management/attribute-lists/).

## Headers

| Name                         | Type      | Required | Description                                                                                                                                       |
| ---------------------------- | --------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| `X-Flowkiwi-Organization-Id` | `string`  | Yes      | The organization the request acts as. Determines the identity, permissions and ownership applied when reading or modifying data on the instance.  |
| `X-Flowkiwi-Locale`          | `string`  | -        | Specifies the locale for properties that support localization. If not provided, the default locale will be used.                                  |
| `X-Flowkiwi-Locale-Fallback` | `boolean` | -        | Enables the use of a fallback locale. If a property lacks a translation for the requested locale, the value from the default locale will be used. |

## Query parameters

| Name           | Type      | Required | Description                  |
| -------------- | --------- | -------- | ---------------------------- |
| `page`         | `integer` | -        | The collection page number   |
| `itemsPerPage` | `integer` | -        | The number of items per page |

## Response

**200** - Attribute collection

| Property           | Type          | Required | Description |
| ------------------ | ------------- | -------- | ----------- |
| `hydra:totalItems` | `integer`     | -        |             |
| `hydra:search`     | `object`      | -        |             |
| `hydra:view`       | `object`      | -        |             |
| `hydra:member`     | `Attribute[]` | Yes      |             |

## Errors

**403** - Access denied. The caller is missing one or more identity permissions required for this operation.

| Property             | Type       | Required | Description                                                                                                                                |
| -------------------- | ---------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| `@context`           | `object`   | -        |                                                                                                                                            |
| `@id`                | `string`   | Yes      |                                                                                                                                            |
| `@type`              | `string`   | Yes      |                                                                                                                                            |
| `type`               | `string`   | -        |                                                                                                                                            |
| `title`              | `string`   | -        |                                                                                                                                            |
| `status`             | `integer`  | -        |                                                                                                                                            |
| `detail`             | `string`   | -        |                                                                                                                                            |
| `missingPermissions` | `string[]` | -        | Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission. |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/rest/api/categories/attributes' \
  -H 'Authorization: Bearer {token}' \
  -H 'X-Flowkiwi-Organization-Id: <org_id>' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "@context": "/contexts/Attribute",
  "@id": "/rest/api/categories/attributes",
  "@type": "hydra:Collection",
  "hydra:totalItems": 2,
  "hydra:member": [
    {
      "@context": "/contexts/Attribute",
      "@id": "/rest/api/categories/attributes/019afd11-4d5e-7f60-9b71-3c4d5e6f7081",
      "@type": "Attribute",
      "id": "019afd11-4d5e-7f60-9b71-3c4d5e6f7081",
      "name": "Care",
      "categories": [
        "/rest/api/categories/019afd02-2b3c-7d4e-9f50-1a2b3c4d5e6f"
      ]
    },
    {
      "@context": "/contexts/Attribute",
      "@id": "/rest/api/categories/attributes/019afd10-3c4d-7e5f-8a60-2b3c4d5e6f70",
      "@type": "Attribute",
      "id": "019afd10-3c4d-7e5f-8a60-2b3c4d5e6f70",
      "name": "Color",
      "categories": [
        "/rest/api/categories/019afd02-2b3c-7d4e-9f50-1a2b3c4d5e6f"
      ]
    }
  ]
}
```
